def f(i):
	return not i

a = False; b = False; c = True

if a:
	print ("test")
elif a and b:
	print ("test")

if a and b or c:
	print ("test")
elif a and (b or c):
	print ("test")

if f(a and (b or c)):
	print ("test")
elif (f(a and (b or c)) == True):
	print ("test")

if f(a) and f(b or c):
	print ("test")
elif f(a) and (f(b) or f(c)):
	print ("test")

if a and b and c:
	print ("test")
